Summary:	GNOME chess
Name:		gnome-chess
Version:	0.4.0
Release:	%mkrel 1
License:	GPL
Group:		Games/Boards
BuildRequires:	flex libgnomeui2-devel libgnomecanvas2-devel 
BuildRequires:	vte-devel libglade2.0-devel
BuildRequires:  desktop-file-utils
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-chess/%{name}-%{version}.tar.bz2
# (fc) 0.4.0-1mdv fix crash on exit (CVS)
Patch0:		gnome-chess-fixcrash.patch
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnome.org

%description
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.

%prep
%setup -q
%patch0 -p1 -b .fixcrash

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-chess.desktop

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%post_install_gconf_schemas gnome-chess
## menu
%{update_menus}

%preun
%preun_uninstall_gconf_schemas gnome-chess

%postun
## menu
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-chess.schemas
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gnome-chess
%{_datadir}/mime-info/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-1mdv2007.0
+ Revision: 102321
- Release 0.4.0 (gnome2 port)
  Remove all patches
  Patch0 (CVS): fix crash on exit
- Import gnome-chess



* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.3-7mdk
- Rebuild

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-6mdk 
- Fix build

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-5mdk
- fix gcc-3.4 build (P3)
- fix buildrequires
- cosmetics

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.3-4mdk
- fix unpackaged files

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-3mdk
- Patch0: fix scrollkeeper file to be DTD compliant
- Fix rpmlint warnings
- Bump scrollkeeper requirements
- Png icons

* Mon Feb 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-2mdk
- Fix compilation (update aclocal.m4 and configure after xml-i18n-toolize)

* Thu Sep 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-1mdk
- Release 0.3.3
- Patch1: fix bug 5008 (exit correctly)

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.2-2mdk
- BuildRequires: flex gdk-pixbuf-devel gnome-print-devel libglade-devel
- Copyright --> License
- Removed redundant BuildRequires.

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-1mdk
- Release 0.3.0

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-5mdk
- Add new icons
- use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.4-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-3mdk
- BM + macroszification
- embed menu in specfile

* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.4-2mdk
- removed unecessary manual stripping/bzing 
- addded menu entry

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4 
- SMP build/check.
- new group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 0.2.3

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mandrake adaptations
